| Home · All Classes · All Namespaces · Modules · Functions · Files

# Tp::PendingReady Class Reference

Class containing the features requested and the reply to a request for an object to become ready. Instances of this class cannot be constructed directly; the only way to get one is via Object::becomeReady(). More...

`#include <TelepathyQt4/PendingReady>`

Inherits Tp::PendingOperation.

List of all members.

## Public Member Functions

- PendingReady (const Features &requestedFeatures, QObject *object, QObject *parent=0)
- ~PendingReady ()
- QObject * object () const
- Features requestedFeatures () const

## Detailed Description

Class containing the features requested and the reply to a request for an object to become ready. Instances of this class cannot be constructed directly; the only way to get one is via Object::becomeReady().

## Constructor & Destructor Documentation

Tp::PendingReady::PendingReady | ( | const Features & | requestedFeatures,
|  | QObject * | object,
|  | QObject * | parent = `0` |
| ) |  |  |

Construct a PendingReady object.

Parameters:

  | object | The object that will become ready.

Tp::PendingReady::~PendingReady | ( |  | ) |

Class destructor.

## Member Function Documentation

QObject * Tp::PendingReady::object | ( |  | ) | const

Return the object through which the request was made.

Returns:
  The object through which the request was made.

Features Tp::PendingReady::requestedFeatures | ( |  | ) | const

Return the Features that were requested to become ready on the object.

Returns:
  Features The requested features